# SocketLayer.cpp File Reference

SocketLayer class implementation. More...

`#include "SocketLayer.h"`
`#include "RakAssert.h"`
`#include "MTUSize.h"`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <arpa/inet.h>`
`#include <errno.h>`
`#include <stdio.h>`
`#include "RakSleep.h"`
`#include "ExtendedOverlappedPool.h"`

## Detailed Description

SocketLayer class implementation.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.